export declare class ObjectOrientedBootstrapModal {
    private container;
    private escListener;
    private ctrlEnterListener;
    onConfirm: (() => any) | null;
    constructor(config: OOBMConfig);
    open(): void;
    close(): void;
    protected get content(): HTMLElement;
    private rawOnConfirmListener;
}
export interface OOBMConfig {
    header: string;
    content?: string | HTMLElement;
    onConfirm?: () => any;
}
